PROGRAM_NAME='Notes'
(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 04/05/2006  AT: 09:00:25        *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)
(*
    $History: $
*)
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE
dvTP  = 10002:2:1
dvTP2 = 10014:2:1
(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE
DEV NotesPNLS[] = {dvTP,dvTP2}
(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)
(* EXAMPLE: DEFINE_FUNCTION <RETURN_TYPE> <NAME> (<PARAMETERS>) *)
(* EXAMPLE: DEFINE_CALL '<NAME>' (<PARAMETERS>) *)

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
(***********************************************************)
(***********************************************************)    
DEFINE_START

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT
DATA_EVENT[NotesPNLS]
{
  STRING:
  {     
    IF(FIND_STRING(DATA.TEXT,'KEYB-',1))
    {
      REMOVE_STRING(DATA.TEXT,'KEYB-',1)
      IF(LENGTH_STRING(DATA.TEXT)) 
      {
        IF(FIND_STRING(DATA.TEXT,'ABORT',1))
        {
        }
        ELSE
        {
          SEND_COMMAND NotesPNLS,"'^TXT-101,0,',DATA.TEXT"
          ON[NotesPNLS,4]//turn on new msg indicator
        }
      }
    }
  }
}
BUTTON_EVENT[NotesPNLS,3]//ERASE
{
  PUSH:
  { 
    SEND_COMMAND NotesPNLS,"'^TXT-101,0, '"
    OFF[NotesPNLS,4]//turn off new msg indicator
  }
}
(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)
